diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 739b4d0..202729c 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -146659,8 +146659,8 @@ UnivariateFormalPowerSeries(Coef: Ring) ==
 )set message test on
 )set message auto off
 )clear all
-
---S 1 of 1
+ 
+--S 1 of 12
 )show UnivariateLaurentSeries
 --R 
 --R UnivariateLaurentSeries(Coef: Ring,var: Symbol,cen: Coef)  is a domain constructor
@@ -146860,6 +146860,99 @@ UnivariateFormalPowerSeries(Coef: Ring) ==
 --R
 --E 1
 
+--S 2 of 12
+Z ==> Integer
+--R 
+--R                                                                   Type: Void
+--E 2
+
+--S 3 of 12
+Q ==> Fraction Z
+--R 
+--R                                                                   Type: Void
+--E 3
+
+--S 4 of 12
+z:Symbol := 'z
+--R 
+--R
+--R   (3)  z
+--R                                                                 Type: Symbol
+--E 4
+
+--S 5 of 12
+L ==> UnivariateLaurentSeries(Q,z,0)
+--R 
+--R                                                                   Type: Void
+--E 5
+
+--S 6 of 12
+q:L := z::Variable(z)::L
+--R 
+--R
+--R   (5)  z
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),z,0)
+--E 6
+
+--S 7 of 12
+t1:L := (1/((1-q)*(1-q^2)))
+--R 
+--R
+--R                  2     3     4     5     6     7     8     9     10      11
+--R   (6)  1 + z + 2z  + 2z  + 3z  + 3z  + 4z  + 4z  + 5z  + 5z  + 6z   + O(z  )
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),z,0)
+--E 7
+
+--S 8 of 12
+t2 := t1-1
+--R 
+--R
+--R   (7)
+--R         2     3     4     5     6     7     8     9     10     11      12
+--R   z + 2z  + 2z  + 3z  + 3z  + 4z  + 4z  + 5z  + 5z  + 6z   + 6z   + O(z  )
+--R                         Type: UnivariateLaurentSeries(Fraction(Integer),z,0)
+--E 8
+
+--S 9 of 12
+recip t2
+--R 
+--R
+--R   (8)
+--R    - 1              2     3     4      5      6      7      8      9      10
+--R   z    - 2 + 2z - 3z  + 5z  - 8z  + 13z  - 21z  + 34z  - 55z  + 89z  + O(z  )
+--R              Type: Union(UnivariateLaurentSeries(Fraction(Integer),z,0),...)
+--E 9
+
+--S 10 of 12
+t3 := recip t2
+--R 
+--R
+--R   (9)
+--R    - 1              2     3     4      5      6      7      8      9      10
+--R   z    - 2 + 2z - 3z  + 5z  - 8z  + 13z  - 21z  + 34z  - 55z  + 89z  + O(z  )
+--R              Type: Union(UnivariateLaurentSeries(Fraction(Integer),z,0),...)
+--E 10
+
+--S 11 of 12
+t4:Union(L,"failed") := (recip t2)$L
+--R 
+--R
+--R   (10)
+--R    - 1              2     3     4      5      6      7      8      9      10
+--R   z    - 2 + 2z - 3z  + 5z  - 8z  + 13z  - 21z  + 34z  - 55z  + 89z  + O(z  )
+--R              Type: Union(UnivariateLaurentSeries(Fraction(Integer),z,0),...)
+--E 11
+
+--S 12 of 12
+t5:Union(L,"failed") := t3
+--R 
+--R
+--R   (11)
+--R    - 1              2     3     4      5      6      7      8      9      10
+--R   z    - 2 + 2z - 3z  + 5z  - 8z  + 13z  - 21z  + 34z  - 55z  + 89z  + O(z  )
+--R              Type: Union(UnivariateLaurentSeries(Fraction(Integer),z,0),...)
+--E 12
+
 )spool
 )lisp (bye)
 \end{chunk}
diff --git a/changelog b/changelog
index 2b9aa56..db96203 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141210 tpd src/axiom-website/patches.html 20141210.01.tpd.patch
+20141210 tpd books/bookvol10.3 add UnivariateLaurentSeries tests
 20141209 tpd src/axiom-website/patches.html 20141209.05.tpd.patch
 20141209 tpd buglist: bug 7271: Mistake in an example from book introduction
 20141209 tpd src/axiom-website/patches.html 20141209.04.tpd.patch
diff --git a/patch b/patch
index fe3edcc..517d919 100644
--- a/patch
+++ b/patch
@@ -1,12 +1,2 @@
-buglist: bug 7271: Mistake in an example from book introduction
-
-in section 0.2.2, "Type Conversion" of Axiom Book, there's an 
-example of a conversion that seems to be wrong. It uses
-
-(4.6)::Float
-
-Since there's no point in a coercion from Float to a Float, from
-the context, it seems the intention was to write:
-
-(23/5)::Float
+books/bookvol10.3 add UnivariateLaurentSeries tests
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 035c1d6..cb10912 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4796,6 +4796,8 @@ buglist: bug 7269: hash does not work for Record<br/>
 buglist: bug 7270: integral comfused by branches<br/>
 <a href="patches/20141209.05.tpd.patch">20141209.05.tpd.patch</a>
 buglist: bug 7271: Mistake in an example from book introduction<br/>
+<a href="patches/20141210.01.tpd.patch">20141210.01.tpd.patch</a>
+books/bookvol10.3 add UnivariateLaurentSeries tests<br/>
  </body>
 </html>
 
